gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.TreeViewAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype TreeViewAccessible = TreeViewAccessible (ManagedPtr TreeViewAccessible)
- class (GObject o, IsDescendantOf TreeViewAccessible o) => IsTreeViewAccessible o
- toTreeViewAccessible :: (MonadIO m, IsTreeViewAccessible o) => o -> m TreeViewAccessible

# Exported types

newtype TreeViewAccessible Source #

Memory-managed wrapper type.

Constructors

TreeViewAccessible (ManagedPtr TreeViewAccessible) |

#### Instances

Instances details

Eq TreeViewAccessible Source # |
Instance details Defined in GI.Gtk.Objects.TreeViewAccessible Methods (==) :: TreeViewAccessible -> TreeViewAccessible -> Bool Source # (/=) :: TreeViewAccessible -> TreeViewAccessible -> Bool Source #
GObject TreeViewAccessible Source # |
Instance details Defined in GI.Gtk.Objects.TreeViewAccessible
ManagedPtrNewtype TreeViewAccessible Source # |
Instance details Defined in GI.Gtk.Objects.TreeViewAccessible Methods toManagedPtr :: TreeViewAccessible -> ManagedPtr TreeViewAccessible Source #
TypedObject TreeViewAccessible Source # |
Instance details Defined in GI.Gtk.Objects.TreeViewAccessible Methods glibType :: IO GType Source #
HasParentTypes TreeViewAccessible Source # |
Instance details Defined in GI.Gtk.Objects.TreeViewAccessible
IsGValue (Maybe TreeViewAccessible) Source # | Convert `TreeViewAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.TreeViewAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe TreeViewAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe TreeViewAccessible) Source #
type ParentTypes TreeViewAccessible Source # |
Instance details Defined in GI.Gtk.Objects.TreeViewAccessible type ParentTypes TreeViewAccessible = '[ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Component, Selection, Table, CellAccessibleParent]

class (GObject o, IsDescendantOf TreeViewAccessible o) => IsTreeViewAccessible o Source #

Type class for types which can be safely cast to `TreeViewAccessible`, for instance with `toTreeViewAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf TreeViewAccessible o) => IsTreeViewAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.TreeViewAccessible

toTreeViewAccessible :: (MonadIO m, IsTreeViewAccessible o) => o -> m TreeViewAccessible Source #

Cast to `TreeViewAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

activate, addColumnSelection, addRelationship, addRowSelection, addSelection, bindProperty, bindPropertyFull, clearSelection, connectWidgetDestroyed, contains, edit, expandCollapse, forceFloating, freezeNotify, getv, grabFocus, initialize, isChildSelected, isColumnSelected, isFloating, isRowSelected, isSelected, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refAt, refRelationSet, refSelection, refSink, refStateSet, removeColumnSelection, removeFocusHandler, removePropertyChangeHandler, removeRelationship, removeRowSelection, removeSelection, runDispose, scrollTo, scrollToPoint, selectAllSelection, stealData, stealQdata, thawNotify, unref, updateRelationset, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getCaption, getCellArea, getCellExtents, getCellPosition, getChildIndex, getColumnAtIndex, getColumnDescription, getColumnExtentAt, getColumnHeader, getColumnHeaderCells, getData, getDescription, getExtents, getHelpText, getIndexAt, getIndexInParent, getLayer, getMdiZorder, getNAccessibleChildren, getNColumns, getNRows, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRendererState, getRole, getRowAtIndex, getRowDescription, getRowExtentAt, getRowHeader, getRowHeaderCells, getSelectedColumns, getSelectedRows, getSelectionCount, getSize, getSummary, getWidget.

#### Setters

setAccessibleId, setCaption, setColumnDescription, setColumnHeader, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setRowDescription, setRowHeader, setSize, setSummary, setWidget.